Xerces-C++: XMLMutexMgr Class Reference

Xerces-C++ 3.3.0

Public Member Functions | List of all members
XMLMutexMgr Class Referenceabstract

`#include <xercesc/util/XMLMutexMgr.hpp>`

Inheritance diagram for XMLMutexMgr:

## Public Member Functions
| XMLMutexMgr ()
virtual | ~XMLMutexMgr ()
virtual XMLMutexHandle | create (MemoryManager *const manager)=0
virtual void | destroy (XMLMutexHandle mtx, MemoryManager *const manager)=0
virtual void | lock (XMLMutexHandle mtx)=0
virtual void | unlock (XMLMutexHandle mtx)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ XMLMutexMgr()

XMLMutexMgr::XMLMutexMgr | ( |  | ) |

## ◆ ~XMLMutexMgr()

virtual XMLMutexMgr::~XMLMutexMgr | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

virtual XMLMutexHandle XMLMutexMgr::create | ( | MemoryManager *const | manager | ) |
| pure virtual

## ◆ destroy()

virtual void XMLMutexMgr::destroy | ( | XMLMutexHandle | mtx,
|  | MemoryManager *const | manager )
| pure virtual

## ◆ lock()

virtual void XMLMutexMgr::lock | ( | XMLMutexHandle | mtx | ) |
| pure virtual

## ◆ unlock()

virtual void XMLMutexMgr::unlock | ( | XMLMutexHandle | mtx | ) |
| pure virtual

The documentation for this class was generated from the following file:

- XMLMutexMgr.hpp